package com.zcloud.fire.check.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.fire.check.dto.FireCheckListUserAddCmd;
import com.zcloud.fire.check.dto.FireCheckListUserPageQry;
import com.zcloud.fire.check.dto.FireCheckListUserUpdateCmd;
import com.zcloud.fire.check.dto.clientobject.FireCheckListUserCO;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2025-12-11 15:32:50
 */
public interface FireCheckListUserServiceI {
    PageResponse<FireCheckListUserCO> listPage(FireCheckListUserPageQry qry);

    SingleResponse<FireCheckListUserCO> add(FireCheckListUserAddCmd cmd);

    void edit(FireCheckListUserUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

